mIRC Homepage

mIRC and windows 8 compatibility

Posted By: OmahaGal

mIRC and windows 8 compatibility - 04/12/12 12:53 AM

When I connect to mIRC in Win8 I get the following msg: Do you want to allow the following program from an unknown publisher to make change to this computer? Prog Name: mirc Publisher: Unk File Origin: Hard Drive on this computer

I get this nag everytime I start mirc. Then when I quit mirc I get the following nag.

Program Compatibility Assistant: This program might not have run correctly
You can get help on the MS website etc.

Another issue: Apparently there is a problem with mIRC using MS Agent. Microsoft updated MS Agent thru Win7 but MS is no longer supporting it. There is no update for Win8. Is there a way I can disable MS Agent on mirc since I do not use it?

Posted By: Riamus2

Re: mIRC and windows 8 compatibility - 04/12/12 03:57 AM

I don't use Windows 8, so can't tell you how to adjust the warnings from Windows. It sounds like it's a security setting, perhaps related to whatever Windows 8 uses for UAC. You can start by checking there. I'm sure a future version of mIRC will better support Windows 8 if this is a compatibility issue and not just a security issue.

However, regarding MS Agent, mIRC stopped using MS Agent somewhere around beginning of version 7.x. As long as you have the newer version, you shouldn't see that as an option anymore. mIRC has its own speech thing now, which you can enable or disable as you see fit.
Posted By: OmahaGal

Re: mIRC and windows 8 compatibility - 04/12/12 07:15 AM

Thank you so much for a prompt reply. Unfortunately pnp requires an old version of mirc. Is there a way I can disable MS Agent in it?
Posted By: Riamus2

Re: mIRC and windows 8 compatibility - 04/12/12 07:43 PM

Check under the Sound settings in options. You should be able to disable it, but I don't know if that solves the problem completely as I've never used MS Agent.
Posted By: Khaled

Re: mIRC and windows 8 compatibility - 04/12/12 10:10 PM

Both of these issues occur because you are using an old version of mIRC that is not compatible with newer versions of Windows. There is nothing you can change in older versions of mIRC to prevent the above issues, which were resolved in newer versions of mIRC.

Ideally, you should always use the latest version of mIRC, as it includes new features, bug fixes and security updates. If you are using an old script that only works with an old version of mIRC, I would highly recommend that you download the latest version of mIRC and find an alternative up-to-date script.
© 2022 mIRC Discussion Forums